%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate os_str_bytes

Name:           rust-os_str_bytes
Version:        6.6.1
Release:    1%{?dist}
Summary:        Convert between byte sequences and platform-native strings

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/os_str_bytes
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Convert between byte sequences and platform-native strings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+checked_conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+checked_conversions-devel %{_description}

This package contains library source intended for building other packages which
use the "checked_conversions" feature of the "%{crate}" crate.

%files       -n %{name}+checked_conversions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+conversions-devel %{_description}

This package contains library source intended for building other packages which
use the "conversions" feature of the "%{crate}" crate.

%files       -n %{name}+conversions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memchr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memchr-devel %{_description}

This package contains library source intended for building other packages which
use the "memchr" feature of the "%{crate}" crate.

%files       -n %{name}+memchr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+print_bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print_bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "print_bytes" feature of the "%{crate}" crate.

%files       -n %{name}+print_bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+raw_os_str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+raw_os_str-devel %{_description}

This package contains library source intended for building other packages which
use the "raw_os_str" feature of the "%{crate}" crate.

%files       -n %{name}+raw_os_str-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.6.1-1
- initial build
